import { IWidgetModelApiFactory, WidgetModelApiName } from "../apis/api.interfaces";
import { IWidgetModelOrchestratorFactory } from "./IWidgetModelOrchestratorFactory";
import { WidgetVelocityApi } from "./WidgetVelocityApi";
export declare class WidgetModelApiFactory implements IWidgetModelApiFactory {
    private _apiObjects;
    constructor(velocityApi: WidgetVelocityApi);
    initializeAsync(orchestratorFactory: IWidgetModelOrchestratorFactory): Promise<void>;
    tryGetApi<T>(apiName: WidgetModelApiName, minVersion: number, targetVersion: number): T | null;
}
